"use strict";

var newsCaps = {
	id: -1,
	mounted: function mounted() {
		var id = Main.createFlump(this.$el, "boom", "~NEWS_Idle", -480, -210, false);
		newsCaps.id = id;
	},
	destroyed: function destroyed() {
		Main.destroyMovie(newsCaps.id);
	}
};
Vue.component('newsSignCanvas', { mixins: [newsCaps],
	template: '<canvas width="390" height="150" class="pageNews__header_sign"></canvas>'
});

var newsTelevision = {
	id: -1,
	mounted: function mounted() {
		var id = Main.createFlump(this.$el, "boom", "~NEWS_TV_Idle", 0, 0, false);
		newsTelevision.id = id;
	},
	destroyed: function destroyed() {
		Main.destroyMovie(newsTelevision.id);
	}
};
Vue.component('newsTelevisionCanvas', { mixins: [newsTelevision],
	template: '<canvas width="430" height="275" class="pageNews__tv"></canvas>'
});

var newsData = { width: window.innerWidth };
window.addEventListener('resize', function () {
	newsData.width = window.innerWidth;
});

var PageNews = { data: function data() {
		return newsData;
	},
	methods: { tweenTo: function tweenTo(name) {
			Main.tweenTo(name);
		},
		getApp: function getApp(siteName) {
			Main.showWarning(siteName);
		}
	},
	template: "\n\t\t<div class=\"pageNews\">\n\t\t\t<div class=\"pageNews__backing\"></div>\n\t\t\n\t\t\t<menuButton></menuButton>\n\t\t\t<homeLogo></homeLogo>\n\n\t\t\t<div class=\"pageNews__header\">\n\t\t\t\t<div class=\"max-width-4 mx-auto\">\n\t\t\t\t\t<newsSignCanvas></newsSignCanvas>\n\t\t\t\t\t<div class=\"clearfix\">\n\n\t\t\t\t\t\t<div v-if=\"width>=1024\">\n\t\t\t\t\t\t\t<div class=\"col col-12 md-col-8\">\n\t\t\t\t\t\t\t\t<img src=\"./assets/img/news/watchEps.png\" class=\"pageNews__header_img\">\n\t\t\t\t\t\t\t\t<p class=\"bodyText pageNews__header_text px1\">The wait is over! Now you can watch the first six episodes of OK K.O.! Let's Be Heroes on the CN App!</p>\n\t\t\t\t\t\t\t\t\n\t\t\t\t\t\t\t\t<div class=\"clearfix pageNews__header_buttons\">\n\t\t\t\t\t\t\t\t\t<img v-on:click=\"getApp('https://itunes.apple.com/us/app/cartoon-network/id404593641')\" src=\"./assets/img/news/buttons/btnApple.png\" class=\"pageNews__header_btn hoverButton\">\n\t\t\t\t\t\t\t\t\t<img v-on:click=\"getApp('https://play.google.com/store/apps/details?id=com.turner.cnvideoapp')\" src=\"./assets/img/news/buttons/btnGoogle.png\" class=\"pageNews__header_btn hoverButton\">\n\t\t\t\t\t\t\t\t\t<img  v-on:click=\"getApp('https://www.amazon.com/Cartoon-Network-Watch/dp/B00DDYQCFW')\" src=\"./assets/img/news/buttons/btnAmazon.png\" class=\"pageNews__header_btn hoverButton\">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class=\"col col-4 pageNews__tv_container\">\n\t\t\t\t\t\t\t\t<div class=\"pageNews__tv_ticker_container\">\n\t\t\t\t\t\t\t\t\t<span class=\"pageNews__tv_ticker\">\n\t\t\t\t\t\t\t\t\t\tOK K.O.! Let's Be Heroes! <span class=\"yellow\">Only on Cartoon Network!</span>\n\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t<newsTelevisionCanvas></newsTelevisionCanvas>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<div v-else>\n\t\t\t\t\t\t\t<div class=\"col col-12\">\n\t\t\t\t\t\t\t\t<div class=\"pageNews__tv_ticker_container\">\n\t\t\t\t\t\t\t\t\t<span class=\"pageNews__tv_ticker\">\n\t\t\t\t\t\t\t\t\t\tOK K.O.! Let's Be Heroes! <span class=\"yellow\">Only on Cartoon Network!</span>\n\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<img src=\"./assets/img/news/watchEps.png\" class=\"pageNews__header_img\">\n\t\t\t\t\t\t\t\t<p class=\"bodyText pageNews__header_text px1\">The wait is over! Now you can watch the first six episodes of OK K.O.! Let's Be Heroes on the CN App!</p>\n\t\t\t\t\t\t\t\t\n\t\t\t\t\t\t\t\t<div class=\"clearfix pageNews__header_buttons\">\n\t\t\t\t\t\t\t\t\t<img v-on:click=\"getApp('https://itunes.apple.com/us/app/cartoon-network/id404593641')\" src=\"./assets/img/news/buttons/btnApple.png\" class=\"pageNews__header_btn hoverButton\">\n\t\t\t\t\t\t\t\t\t<img v-on:click=\"getApp('https://play.google.com/store/apps/details?id=com.turner.cnvideoapp')\" src=\"./assets/img/news/buttons/btnGoogle.png\" class=\"pageNews__header_btn hoverButton\">\n\t\t\t\t\t\t\t\t\t<img v-on:click=\"getApp('https://www.amazon.com/Cartoon-Network-Watch/dp/B00DDYQCFW')\" src=\"./assets/img/news/buttons/btnAmazon.png\" class=\"pageNews__header_btn hoverButton\">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\n\t\t\t<div class=\"pageNews__upperNews\">\n\t\t\t\t<div class=\"max-width-4 mx-auto\">\n\t\t\t\t\t<div class=\"clearfix\">\n\t\t\t\t\t\t<div class=\"col col-4\" v-if=\"width>=1024\">\n\t\t\t\t\t\t\t<div class=\"pageNews__column px2\">\n\t\t\t\t\t\t\t\t<h2 class=\"pageNews__column_heading strokeText\">OTHER NEWS</h2>\n\t\t\t\t\t\t\t\t<ul class=\"\">\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link1')\" href=\"./#/news/\">Get Into the Game!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link2')\" href=\"./#/news/\">K.O. Gets a Job!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link3')\" href=\"./#/news/\">Vandal Scandal!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link4')\" href=\"./#/news/\">Testy Customer Laid Low by Sarcasm!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link5')\" href=\"./#/news/\">Boxmore still stinks!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link6')\" href=\"./#/news/\">Radicles is super awesome!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link7')\" href=\"./#/news/\">get it for free!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link8')\" href=\"./#/news/\">Lord Boxman Builds Robot!</a></li>\n\t\t\t\t\t\t\t\t\t<li><a v-on:click=\"tweenTo('link9')\" href=\"./#/news/\">Darrell Accidentally Self Destructs!</a></li>\n\t\t\t\t\t\t\t\t</ul>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t\t<div class=\"col col-12 lg-col-8 pageNews__upperNews_newsItems\">\n\t\t\t\t\t\t\t<div class=\"clearfix\">\n\n\t\t\t\t\t\t\t\t<div v-if=\"width>832\">\n\t\t\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\"> \n\t\t\t\t\t\t\t\t\t\t<news-itemLink idSrc=\"link1\" hrefSrc=\"./#/games/one\" title=\"Get Into the Game!\" content=\"Play the latest OK K.O. online games, available now in the Neo-Rama Game Center!\" imgSrc=\"./assets/img/news/articles/getIntoTheGame.png\" btnSrc=\"./assets/img/news/buttons/btnPlayNow.png\"></news-itemLink>\n\t\t\t\t\t\t\t\t\t\t<news-item-special idSrc=\"link2\" title=\"K.O. Gets a Job!\" content=\"K.O. is the newest hire at Gar's Bodega! Can he learn to be a hero while also finishing his chores? Only time will tell!\" imgSrc=\"./assets/img/news/articles/koGetsAJob.png\"></news-item-special>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\">\n\t\t\t\t\t\t\t\t\t\t<news-item-special idSrc=\"link3\" title=\"Vandal Scandal!\" content=\"Radicles' van gets van-dalized for the third time this month. Who could be the culprit?\" imgSrc=\"./assets/img/news/articles/vandalScandal.png\"></news-item-special>\n\t\t\t\t\t\t\t\t\t\t<news-item-special idSrc=\"link4\" title=\"Testy Customer Laid Low by Sarcasm!\" content=\"Enid unleashed the full power of her sarcasm to bring an unruly customer under control at Gar's Bodega.\" imgSrc=\"./assets/img/news/articles/testyCustomer.png\"></news-item-special>\n\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t\t<div v-else>\n\t\t\t\t\t\t\t\t\t<news-itemLink idSrc=\"link1\" hrefSrc=\"./#/games/one\" title=\"Get Into the Game!\" content=\"Play the latest OK K.O. online games, available now in the Neo-Rama Game Center!\" imgSrc=\"./assets/img/news/articles/getIntoTheGame.png\" btnSrc=\"./assets/img/news/buttons/btnPlayNow.png\"></news-itemLink>\n\t\t\t\t\t\t\t\t\t<news-item idSrc=\"link2\" title=\"K.O. Gets a Job!\" content=\"K.O. is the newest hire at Gar's Bodega! Can he learn to be a hero while also finishing his chores? Only time will tell!\" imgSrc=\"./assets/img/news/articles/koGetsAJob.png\"></news-item>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t\t<div class=\"pageNews__lowerNews\">\n\t\t\t\t<div class=\"max-width-4 mx-auto\">\n\t\t\t\t\t<div class=\"clearfix\">\n\n\n\t\t\t\t\t\t<div v-if=\"width>=1024\">\n\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\">\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link5\" title=\"Boxmore still stinks!\" content=\"In a public statement earlier today, Mr. Gar of Gar's Bodega stated 'Boxmore really stinks. Enough with the evil robots, already.'\" imgSrc=\"./assets/img/news/articles/boxMoreStillStinks.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link6\" title=\"Radicles is super awesome!\" content=\"An anonymous source--code named 'Shmadicles'--said 'Radicles is super awesome. I mean, his van is truly sweet, to boot.'\" imgSrc=\"./assets/img/news/articles/radiclesIsSuper.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link7\" title=\"get it for free!\" content=\"For a limited time, Carol's Fitness Dojo is offering free trial memberships to all Lakewood Plaza customers.\" imgSrc=\"./assets/img/news/articles/getItForFree.png\"></news-item>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\">\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link8\" title=\"Lord Boxman Builds Robot!\" content=\"Lord Boxman announced completion of his latest robot, one that, according to him, will 'destroy those lakewood losers.'\" imgSrc=\"./assets/img/news/articles/lordBoxmanBuilds.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link9\" title=\"Darrell Accidentally Self Destructs!\" content=\"The latest Darrell robot to attack the Plaza accidentally hit his own self destruct button, bringing the fight to a rapid end.\" imgSrc=\"./assets/img/news/articles/darrellAccidentally.png\"></news-item>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<div v-else-if=\"width>832\">\n\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\">\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link5\" title=\"Boxmore still stinks!\" content=\"In a public statement earlier today, Mr. Gar of Gar's Bodega stated 'Boxmore really stinks. Enough with the evil robots, already.'\" imgSrc=\"./assets/img/news/articles/boxMoreStillStinks.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link6\" title=\"Radicles is super awesome!\" content=\"An anonymous source--code named 'Shmadicles'--said 'Radicles is super awesome. I mean, his van is truly sweet, to boot.'\" imgSrc=\"./assets/img/news/articles/radiclesIsSuper.png\"></news-item>\n\t\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\">\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link7\" title=\"get it for free!\" content=\"For a limited time, Carol's Fitness Dojo is offering free trial memberships to all Lakewood Plaza customers.\" imgSrc=\"./assets/img/news/articles/getItForFree.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link8\" title=\"Lord Boxman Builds Robot!\" content=\"Lord Boxman announced completion of his latest robot, one that, according to him, will 'destroy those lakewood losers.'\" imgSrc=\"./assets/img/news/articles/lordBoxmanBuilds.png\"></news-item>\n\t\t\t\t\t\t\t</div>\n\n\n\t\t\t\t\t\t\t<div class=\"clearfix pageNews__separater\">\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link9\" title=\"Darrell Accidentally Self Destructs!\" content=\"The latest Darrell robot to attack the Plaza accidentally hit his own self destruct button, bringing the fight to a rapid end.\" imgSrc=\"./assets/img/news/articles/darrellAccidentally.png\"></news-item>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</div>\n\n\t\t\t\t\t\t<div v-else>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link3\" title=\"Vandal Scandal!\" content=\"Radicles' van gets van-dalized for the third time this month. Who could be the culprit?\" imgSrc=\"./assets/img/news/articles/vandalScandal.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link4\" title=\"Testy Customer Laid Low by Sarcasm!\" content=\"Enid unleashed the full power of her sarcasm to bring an unruly customer under control at Gar's Bodega.\" imgSrc=\"./assets/img/news/articles/testyCustomer.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link5\" title=\"Boxmore still stinks!\" content=\"In a public statement earlier today, Mr. Gar of Gar's Bodega stated 'Boxmore really stinks. Enough with the evil robots, already.'\" imgSrc=\"./assets/img/news/articles/boxMoreStillStinks.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link6\" title=\"Radicles is super awesome!\" content=\"An anonymous source--code named 'Shmadicles'--said 'Radicles is super awesome. I mean, his van is truly sweet, to boot.'\" imgSrc=\"./assets/img/news/articles/radiclesIsSuper.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link7\" title=\"get it for free!\" content=\"For a limited time, Carol's Fitness Dojo is offering free trial memberships to all Lakewood Plaza customers.\" imgSrc=\"./assets/img/news/articles/getItForFree.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link8\" title=\"Lord Boxman Builds Robot!\" content=\"Lord Boxman announced completion of his latest robot, one that, according to him, will 'destroy those lakewood losers.'\" imgSrc=\"./assets/img/news/articles/lordBoxmanBuilds.png\"></news-item>\n\t\t\t\t\t\t\t\t<news-item idSrc=\"link9\" title=\"Darrell Accidentally Self Destructs!\" content=\"The latest Darrell robot to attack the Plaza accidentally hit his own self destruct button, bringing the fight to a rapid end.\" imgSrc=\"./assets/img/news/articles/darrellAccidentally.png\"></news-item>\n\t\t\t\t\t\t</div>\n\n\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>",
	head: { title: { inner: "OK K.O.! Let's Be Heroes"
		},
		meta: [{ name: 'application-name', content: "OK K.O.! Let's Be Heroes | News About the Show and Games | Cartoon Network" }, { name: 'description', content: "Learn the latest news in Lakewood Plaza, including episodes, games, events and more from OK K.O.! Let's Be Heroes.", id: 'desc' }]
	}
};

Vue.component('news-itemLink', { props: ['title', 'content', 'imgSrc', 'btnSrc', 'hrefSrc', 'idSrc'],
	template: "\n\t\t<div :id=\"idSrc\" class=\"col col-12 md-col-6 px2 scaleIn\">\n\t\t\t<img :src=\"imgSrc\" class=\"pageNews__item_img\">\n\t\t\t<h2 class=\"pageNews__item_heading\">\n\t\t\t\t{{ title }}\n\t\t\t</h2>\n\t\t\t<p class=\"bodyText pageNews__item_text\">\n\t\t\t\t{{ content }}\n\t\t\t</p>\n\t\t\t<div class=\"hoverButton\">\n\t\t\t\t<a :href=\"hrefSrc\">\n\t\t\t\t\t<img :src=\"btnSrc\" class=\"pageNews__item_button\">\n\t\t\t\t</a>\n\t\t\t</div>\n\t\t</div>"
});

Vue.component('news-item', { props: ['title', 'content', 'imgSrc', 'idSrc'],
	template: "\n\t\t<div :id=\"idSrc\" class=\"col col-12 md-col-6 lg-col-4 px2 scaleIn\">\n\t\t\t<img :src=\"imgSrc\" class=\"pageNews__item_img\">\n\t\t\t<h2 class=\"pageNews__item_heading\">\n\t\t\t\t{{ title }}\n\t\t\t</h2>\n\t\t\t<p class=\"bodyText pageNews__item_text\">\n\t\t\t\t{{ content }}\n\t\t\t</p>\n\t\t</div>"
});

Vue.component('news-item-special', { props: ['title', 'content', 'imgSrc', 'idSrc'],
	template: "\n\t\t<div :id=\"idSrc\" class=\"col col-12 md-col-6 px2 scaleIn\">\n\t\t\t<img :src=\"imgSrc\" class=\"pageNews__item_img\">\n\t\t\t<h2 class=\"pageNews__item_heading\">\n\t\t\t\t{{ title }}\n\t\t\t</h2>\n\t\t\t<p class=\"bodyText pageNews__item_text\">\n\t\t\t\t{{ content }}\n\t\t\t</p>\n\t\t</div>"
});